Bug 221016 - www/luakit Fast, small, webkit2 based browser framework extensible with Lua - Release update
Summary: www/luakit Fast, small, webkit2 based browser framework extensible with Lua -...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: luakit.org
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-26 11:51 UTC by Stefan Hagen
Modified: 2017-07-29 14:00 UTC (History)
1 user (show)

See Also:


Attachments
luakit 2017 port update diff (14.52 KB, patch)
2017-07-26 11:51 UTC, Stefan Hagen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Hagen 2017-07-26 11:51:06 UTC
Created attachment 184718 [details]
luakit 2017 port update diff

www/luakit has seen the last update in 2012. I would like to update this port to the latest version as well as take over the maintenance.

I'm working on the port here: https://github.com/xkpd3/luakit-port

The attached diff also contains an update for UPDATING.
Comment 1 Kurt Jaeger freebsd_committer 2017-07-27 19:35:15 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2017-07-28 06:29:31 UTC
A commit references this bug:

Author: pi
Date: Fri Jul 28 06:29:20 UTC 2017
New revision: 446806
URL: https://svnweb.freebsd.org/changeset/ports/446806

Log:
  www/luakit: update 2012.09.13r1 -> 2017.07.26

  - submitter becomes maintainer

  PR:		221016
  Relnotes:	https://luakit.github.io/luakit/news/luakit-2017.07.26.html
  Submitted by:	Stefan Hagen <freebsd-bugzilla@textmail.me>

Changes:
  head/www/luakit/Makefile
  head/www/luakit/distinfo
  head/www/luakit/pkg-descr
  head/www/luakit/pkg-plist
Comment 3 Kurt Jaeger freebsd_committer 2017-07-28 06:30:16 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2017-07-29 14:00:51 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 29 14:00:06 UTC 2017
New revision: 446879
URL: https://svnweb.freebsd.org/changeset/ports/446879

Log:
  www/luakit: add missing UPDATING entry

  - luakit version 2017.07.26 is incompatible with the version from 2012
    UPDATING entry suggests to remove the old configs

  PR:		221016
  Submitted by:	freebsd-bugzilla@textmail.me

Changes:
  head/UPDATING